Accounts
5 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/accountsGet an Account
Retrieves the details of an existing Account.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200Account
bank_accountsarray of BankAccountrequiredBank accounts attached to this account. Primarily used for payouts.
business_profileBusinessProfileoptionalThe Business Profile for this account.
capabilitiesarray of AccountCapabilityoptionalCapabilities represent the assigned product codes to a given merchant account and their status.
created_atstring date-timerequiredTime at which the object was created.
document_requestsarray of AccountDocumentrequiredDocuments that have been requested for an account, which are either in the
requestedorsubmittedstatusemailstringoptionalThe primary user's email address.
idstringrequiredUnique identifier for the object.
merchant_supportbooleanoptionalWhether Paydude is providing support for this account.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
namestringoptionalThe business name or individual name.
settingsAccountSettingsoptionalThe account settings object.
split_pay_settingsSplitPaySettingsoptionalSplit Pay settings for the account. Currently in beta and not available to all accounts.
statusstring (active | requires_pricing | funding_hold | account_review | partially_active | action_required | created | started | …)optionalThe status of the account.
surcharging_settingsSurchargingSettingsoptionalSurcharging settings for the account. Currently in beta and not available to all accounts.
terminal_readersarray of TerminalReaderrequiredTerminal Readers attached to this account.
typestring (partner | merchant | reseller)requiredThe Paydude account type. Can be
partnerormerchant.updated_atstring date-timerequiredTime at which the object was last updated.
white_label_domainstringoptionalThe
partnerwhite label domain.
/v1/accountsUpdate an Account
Updates an Account by setting the values of the provided parameters. Any parameters not provided remain unchanged.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
bank_accountBankAccountCreateParamsoptionalA bank account to attach to this account for receiving payouts. (Note: currently this is only used for
partneraccount payouts) By default, providing a bank account sets it as the new default bank account for its currency.batch_safety_net_window_hoursnumberoptionalPer-merchant safety-net deadline for manual batch close. If a Batch is still open at
opened_at + window, the platform auto-closes it. Processor implementations must not exceed their Kestrel-declaredmaxSafetyNetWindowHours.emailstringoptionalThe primary user's email address.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e.
''ornull) to them. All keys can be unset by posting an empty value (i.e.{}ornull) tometadata.namestringoptionalThe business name or individual name.
settingsAccountSettingsCreateParamsoptionalAccount Settings
split_pay_settingsSplitPaySettingsoptionalSplit Pay settings for the account. Currently in beta and not available to all accounts.
surcharging_settingsSurchargingSettingsoptionalSurcharging settings for the account. Currently in beta and not available to all accounts.
white_label_domainstringoptionalThe custom domain the
partnerchooses to reflect on all of itsmerchantaccounts as part of the white label settings. It must use the Paydude-hosted zone for the current environment, or an active reseller partner zone when enabled. *Note: This feature is only available toPartneraccounts.*
Responses
200Account
bank_accountsarray of BankAccountrequiredBank accounts attached to this account. Primarily used for payouts.
business_profileBusinessProfileoptionalThe Business Profile for this account.
capabilitiesarray of AccountCapabilityoptionalCapabilities represent the assigned product codes to a given merchant account and their status.
created_atstring date-timerequiredTime at which the object was created.
document_requestsarray of AccountDocumentrequiredDocuments that have been requested for an account, which are either in the
requestedorsubmittedstatusemailstringoptionalThe primary user's email address.
idstringrequiredUnique identifier for the object.
merchant_supportbooleanoptionalWhether Paydude is providing support for this account.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
namestringoptionalThe business name or individual name.
settingsAccountSettingsoptionalThe account settings object.
split_pay_settingsSplitPaySettingsoptionalSplit Pay settings for the account. Currently in beta and not available to all accounts.
statusstring (active | requires_pricing | funding_hold | account_review | partially_active | action_required | created | started | …)optionalThe status of the account.
surcharging_settingsSurchargingSettingsoptionalSurcharging settings for the account. Currently in beta and not available to all accounts.
terminal_readersarray of TerminalReaderrequiredTerminal Readers attached to this account.
typestring (partner | merchant | reseller)requiredThe Paydude account type. Can be
partnerormerchant.updated_atstring date-timerequiredTime at which the object was last updated.
white_label_domainstringoptionalThe
partnerwhite label domain.
/v1/accounts/capabilitiesAdd an Account Capability
Adds an Account capability. Account capabilities can only be managed before the onboarding application is submitted.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
pricing_template_idstringrequiredThe PricingTemplate id defining the capability to add to the account. Merchant accounts may only have 1 capability per
payment_method_type.
Responses
201
/v1/accounts/capabilities/{id}Delete an Account Capability
Deletes an Account capability. Account capabilities can only be managed before the onboarding application is submitted.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
204
/v1/accounts/capabilities/{id}Update an Account Capability
Updates an Account capability. Account capabilities can only be managed before the onboarding application is submitted.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
pricing_template_idstringrequiredThe PricingTemplate id defining the capability to add to the account. Merchant accounts may only have 1 capability per
payment_method_type.
Responses
201
